package com.steerinfo.meterwork.meterworkstorageactual.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.meterwork.dto.StaffPerformanceAnalysis;
import com.steerinfo.meterwork.meterworkstorageactual.model.MeterWorkStorageActual;
import com.steerinfo.util.CommonPage;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterWorkStorageActual服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-26 05:09
 * 类描述
 * 修订历史：
 * 日期：2020-10-26
 * 作者：generator
 * 参考：
 * 描述：MeterWorkStorageActual服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkStorageActualService extends IBaseService<MeterWorkStorageActual, String>{

    int audit(MeterWorkStorageActual model);

    PageList<MeterWorkStorageActual> selectView(Map<String, Object> parmas, Integer pageNum, Integer pageSize);

    int unaudit(MeterWorkStorageActual model);

    String doAddWf(MeterWorkStorageActual model);

    PageList<StaffPerformanceAnalysis> analysis(String startTime, String endTime, Integer pageNum, Integer pageSize);

    List<MeterWorkStorageActual> doQueryWf(MeterWorkStorageActual model);

    List<MeterWorkStorageActual> doQueryTimeWf(CommonPage<MeterWorkStorageActual> model);

    int doUpdateWf(List<MeterWorkStorageActual> model);

    /**
     * 客户端新增数据
     * @param model
     * @return
     */
    String doAddHotDeliveryBelt(MeterWorkStorageActual model);

    /**
     * 客户端更新数据
     * @param models
     * @return
     */
    String doUpdateClient(List<MeterWorkStorageActual> models);

    /**
     * 热送数据查询
     * @param params
     * @return
     */
    List<MeterWorkStorageActual> doQueryGroup(HashMap params);

    /**
     * C#端热送磅审核数据查询
     * @param params
     * @return
     */
    List<MeterWorkStorageActual> doQueryCheckCount(HashMap params);

    /**
     * 批量修改序号
     * @param models
     * @return
     */
    String doUpdateClientXH(List<MeterWorkStorageActual> models);
}